"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const SwaggerController_1 = require("../src/SwaggerController");
class SwaggerProvider {
    constructor(container) {
        this.container = container;
    }
    register() { }
    async boot() {
        this.initSwaggerRoutes();
    }
    initSwaggerRoutes() {
        const config = this.container.use('Adonis/Core/Config');
        const router = this.container.use('Adonis/Core/Route');
        const controller = new SwaggerController_1.SwaggerController(this.container);
        if (config.get('swagger.uiEnabled', true)) {
            router
                .get(`${config.get('swagger.uiUrl', 'docs')}/:fileName?`, controller.swaggerUI.bind(controller))
                .middleware(config.get('swagger.middleware', []));
        }
        if (config.get('swagger.specEnabled', true)) {
            router
                .get(config.get('swagger.specUrl'), controller.swaggerFile.bind(controller))
                .middleware(config.get('swagger.middleware', []));
        }
    }
}
exports.default = SwaggerProvider;
